Bug 489206 - Bell category not pre-selected when Accessibility KCM is opened
Summary: Bell category not pre-selected when Accessibility KCM is opened
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Applications
Component: kcm_accessibility (show other bugs)
Version: 6.1.0
Platform: Manjaro Linux
: NOR normal
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2024-06-25 23:07 UTC by medin
Modified: 2024-06-27 14:31 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 6.1.2
Sentry Crash Report:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description medin 2024-06-25 23:07:23 UTC
When you click on Accessibility category, you will see Bell page in the third column, but in the second column containing sub-categories no entry is selected by default. Normally, Bell sub-category should be marked as selected.

Operating System: Manjaro Linux 
KDE Plasma Version: 6.1.0
KDE Frameworks Version: 6.3.0
Qt Version: 6.7.2
Kernel Version: 6.9.6-1-MANJARO (64-bit)
Graphics Platform: Wayland
Comment 1 Nate Graham 2024-06-27 03:01:24 UTC
Looks like the listview index is set correctly, it's just that the list item for index 0 isn't highlighted as expected for some reason. Clicking on it selects it.
Comment 2 Nate Graham 2024-06-27 03:03:06 UTC
Figured it out. Merge request incoming.
Comment 3 Bug Janitor Service 2024-06-27 03:04:28 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/2345
Comment 4 Nate Graham 2024-06-27 14:31:12 UTC
Git commit 7aeebe51ade45b0a924252c591963d05ba205b45 by Nate Graham.
Committed on 27/06/2024 at 03:02.
Pushed by ngraham into branch 'master'.

kcms/access: fix list item highlighting

This is kind of a manual list view, so the items are responsible for
setting their own highlighted state. Without that, the active one won't
be highlighted, and there won't be a difference between the hover and
highlight effects.
FIXED-IN: 6.1.2

M  +2    -0    kcms/access/ui/main.qml

https://invent.kde.org/plasma/plasma-desktop/-/commit/7aeebe51ade45b0a924252c591963d05ba205b45
Comment 5 Nate Graham 2024-06-27 14:31:33 UTC
Git commit 3ac7d42daf268d9053f8bcb046b4e368e2fdad93 by Nate Graham.
Committed on 27/06/2024 at 14:31.
Pushed by ngraham into branch 'Plasma/6.1'.

kcms/access: fix list item highlighting

This is kind of a manual list view, so the items are responsible for
setting their own highlighted state. Without that, the active one won't
be highlighted, and there won't be a difference between the hover and
highlight effects.
FIXED-IN: 6.1.2


(cherry picked from commit 7aeebe51ade45b0a924252c591963d05ba205b45)

Co-authored-by: Nate Graham <nate@kde.org>

M  +2    -0    kcms/access/ui/main.qml

https://invent.kde.org/plasma/plasma-desktop/-/commit/3ac7d42daf268d9053f8bcb046b4e368e2fdad93